Welcome to Geeklog, Anonymous Monday, June 27 2022 @ 11:03 pm EDT

Geeklog Forums

Can't update Spam-x


Status: offline

LWC

Forum User
Full Member
Registered: 02/19/04
Posts: 818
After upgrading to v1.3.12sr2, in plugins.php Spam-x looks like "1.0.1 / 1.0.2" so I entered it and clicked update. Instead of updating, it gave me a very general error ("There was an error.") and my server's error log showed it tried in vain to run "/public_html/Spam-x/Spam-x.gif" (there's no such thing as a public Spam-x folder!).

Faking that GIF indeed stopped the error log's annoyance, but not the error message. Not to mention that the fake GIF wasn't even displayed.

Geeklog's own logs don't display anything about all of this.

So what gives?
 Quote

Status: offline

LWC

Forum User
Full Member
Registered: 02/19/04
Posts: 818
Well, turns out that Geeklog v1.3.11sr2's update package is sent with only a semi complete Spam-x v1.0.2 .

Once I took Spam-X from the full v1.3.11sr2 archive, I could update it and I also found out all of the new censorship options of v1.0.2 .
 Quote

All times are EDT. The time is now 11:03 pm.

  • Normal Topic
  • Sticky Topic
  • Locked Topic
  • New Post
  • Sticky Topic W/ New Post
  • Locked Topic W/ New Post
  •  View Anonymous Posts
  •  Able to post
  •  Filtered HTML Allowed
  •  Censored Content